<?php
include  ('getfilenamelist.php');
include ('class.ezpdf.php');
$pdf = new Cezpdf('LETTER','portrait');
$pdf->selectFont('./fonts/Helvetica.afm');

$title = 'Class Notes';
date_default_timezone_set('America/Los_Angeles');
/*$dir = opendir('.');
$position = strpos($dir,'ENGR');
//echo ("The position is " $position);
if ($position !== false){
     $classnumber = substr($dir,$position+4,3);
     $title = $title.' for ENGR '.$classnumber;
}*/
$pdf->addText(90,550,50,'Class Notes');
$pdf->ezNewPage();

$pdf->ezStartPageNumbers(500,30,12,'','',1);

$imagelist = GetFileNameList();
$imagenum = 1;
foreach ($imagelist as $image) {
       $imageyear = substr($image, 0, 4);
       $imagemonth = substr($image, 4, 2);
       $imageday = substr($image, 6, 2);
       $caption = date("F j, Y ", mktime (0, 0, 0, $imagemonth, $imageday, $imageyear));
       if ($imagenum % 2 == 1) { 
            if (($imagenum <> 1)) $pdf->ezNewPage();
            $pdf->addJpegFromFile($image,90,396,440,330);
            $pdf->ezSetY(340);
            $pdf->addText(90,380,12,$caption);
       }
       else {
            $pdf->addJpegFromFile($image,90,47,440,330);
            $pdf->ezSetY(45);
            $pdf->addText(90,35,12,$caption);
       }
       $imagenum++; 
   }
$pdf->ezStopPageNumbers();
$pdf->ezStream();
// Testing code below:  Add &d=1 to the URL to get debugging and &d=0 
// for normal.
/*$pdf->ezText("\n\n".$pdf->messages,10,array('justification'=>'left'));
//if (isset($d) && $d){
$pdfcode = $pdf->output(1);
//$end_time = getmicrotime();
$pdfcode = str_replace("\n","\n<br>",htmlspecialchars($pdfcode));
echo '<html><body>';
echo trim($pdfcode);
echo '</body></html>';
} else {
$pdf->stream();
}*/
   
?>
